<?xml version="1.0" encoding="utf-8"?>
<Project DefaultTargets="Build" ToolsVersion="4.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <ItemGroup Label="ProjectConfigurations">
    <ProjectConfiguration Include="Debug|Win32">
      <Configuration>Debug</Configuration>
      <Platform>Win32</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="Release|Win32">
      <Configuration>Release</Configuration>
      <Platform>Win32</Platform>
    </ProjectConfiguration>
  </ItemGroup>
  <PropertyGroup Label="Globals">
    <ProjectGuid>{67DDF949-4A44-47C2-A4D7-852FADA8CF55}</ProjectGuid>
    <Keyword>Win32Proj</Keyword>
    <RootNamespace>HDR</RootNamespace>
    <ProjectName>HDR</ProjectName>
  </PropertyGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.Default.props" />
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'" Label="Configuration">
    <ConfigurationType>Application</ConfigurationType>
    <UseDebugLibraries>true</UseDebugLibraries>
    <CharacterSet>MultiByte</CharacterSet>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'" Label="Configuration">
    <ConfigurationType>Application</ConfigurationType>
    <UseDebugLibraries>false</UseDebugLibraries>
    <WholeProgramOptimization>true</WholeProgramOptimization>
    <CharacterSet>MultiByte</CharacterSet>
  </PropertyGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.props" />
  <ImportGroup Label="ExtensionSettings">
  </ImportGroup>
  <ImportGroup Label="PropertySheets" Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <ImportGroup Label="PropertySheets" Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <PropertyGroup Label="UserMacros" />
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">
    <LinkIncremental>true</LinkIncremental>
    <OutDir>$(Configuration)2010\</OutDir>
    <IntDir>$(Configuration)2010\</IntDir>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">
    <LinkIncremental>false</LinkIncremental>
    <OutDir>$(Configuration)2010\</OutDir>
    <IntDir>$(Configuration)2010\</IntDir>
  </PropertyGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">
    <ClCompile>
      <PrecompiledHeader>
      </PrecompiledHeader>
      <WarningLevel>Level3</WarningLevel>
      <Optimization>Disabled</Optimization>
      <PreprocessorDefinitions>WIN32;_DEBUG;_CONSOLE;_DXG20;_CRT_SECURE_NO_DEPRECATE;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <AdditionalIncludeDirectories>$(DXSDK_DIR)\Include;.\h;.\cm_h;..\..\include;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
      <RuntimeLibrary>MultiThreadedDebug</RuntimeLibrary>
    </ClCompile>
    <Link>
      <SubSystem>Console</SubSystem>
      <GenerateDebugInformation>true</GenerateDebugInformation>
      <AdditionalDependencies>libnndxg20D.lib;d3d9.lib;d3dx9d.lib;dinput8.lib;%(AdditionalDependencies)</AdditionalDependencies>
      <AdditionalLibraryDirectories>..\..\lib2010;$(DXSDK_DIR)\Lib\x86;%(AdditionalLibraryDirectories)</AdditionalLibraryDirectories>
    </Link>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">
    <ClCompile>
      <WarningLevel>Level3</WarningLevel>
      <PrecompiledHeader>
      </PrecompiledHeader>
      <Optimization>MaxSpeed</Optimization>
      <FunctionLevelLinking>true</FunctionLevelLinking>
      <IntrinsicFunctions>true</IntrinsicFunctions>
      <PreprocessorDefinitions>WIN32;NDEBUG;_CONSOLE;_DXG20;_CRT_SECURE_NO_DEPRECATE;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <AdditionalIncludeDirectories>$(DXSDK_DIR)\Include;.\h;.\cm_h;..\..\include;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
      <RuntimeLibrary>MultiThreaded</RuntimeLibrary>
    </ClCompile>
    <Link>
      <SubSystem>Console</SubSystem>
      <GenerateDebugInformation>true</GenerateDebugInformation>
      <EnableCOMDATFolding>true</EnableCOMDATFolding>
      <OptimizeReferences>true</OptimizeReferences>
      <AdditionalDependencies>libnndxg20R.lib;d3d9.lib;d3dx9.lib;dinput8.lib;%(AdditionalDependencies)</AdditionalDependencies>
      <AdditionalLibraryDirectories>..\..\lib2010;$(DXSDK_DIR)\Lib\x86;%(AdditionalLibraryDirectories)</AdditionalLibraryDirectories>
    </Link>
  </ItemDefinitionGroup>
  <ItemGroup>
    <ClInclude Include="cm_h\smpDx.h" />
    <ClInclude Include="cm_h\smputil.h" />
    <ClInclude Include="cm_h\smpWin.h" />
    <ClInclude Include="h\smpapp.h" />
  </ItemGroup>
  <ItemGroup>
    <ClCompile Include="cm_s\smpDx.cpp" />
    <ClCompile Include="cm_s\smputil.c" />
    <ClCompile Include="cm_s\smpWin.c" />
    <ClCompile Include="s\smpapp.cpp" />
    <ClCompile Include="s\smpmain.cpp" />
  </ItemGroup>
  <ItemGroup>
    <CustomBuild Include="s\posteffect.vs">
      <FileType>Document</FileType>
      <Command Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">"$(DXSDK_DIR)Utilities\bin\x86\fxc.exe" "%(FullPath)" /nologo /Tvs_3_0 /Vn g_posteffect_vs /Fh"%(RootDir)%(Directory)%(Filename).vs.inc"</Command>
      <Command Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">"$(DXSDK_DIR)Utilities\bin\x86\fxc.exe" "%(FullPath)" /nologo /Tvs_3_0 /Vn g_posteffect_vs /Fh"%(RootDir)%(Directory)%(Filename).vs.inc"</Command>
      <Outputs Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">%(RootDir)%(Directory)%(Filename).vs.inc;%(Outputs)</Outputs>
      <Outputs Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">%(RootDir)%(Directory)%(Filename).vs.inc;%(Outputs)</Outputs>
    </CustomBuild>
  </ItemGroup>
  <ItemGroup>
    <CustomBuild Include="s\adapted.ps">
      <FileType>Document</FileType>
      <Command Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">"$(DXSDK_DIR)Utilities\bin\x86\fxc.exe" "%(FullPath)" /nologo /Tps_3_0 /Vn g_%(Filename)_ps /Fh"%(RootDir)%(Directory)%(Filename).ps.inc"</Command>
      <Command Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">"$(DXSDK_DIR)Utilities\bin\x86\fxc.exe" "%(FullPath)" /nologo /Tps_3_0 /Vn g_%(Filename)_ps /Fh"%(RootDir)%(Directory)%(Filename).ps.inc"</Command>
      <Outputs Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">%(RootDir)%(Directory)%(Filename).ps.inc;%(Outputs)</Outputs>
      <Outputs Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">%(RootDir)%(Directory)%(Filename).ps.inc;%(Outputs)</Outputs>
    </CustomBuild>
    <CustomBuild Include="s\bloom.ps">
      <FileType>Document</FileType>
      <Command Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">"$(DXSDK_DIR)Utilities\bin\x86\fxc.exe" "%(FullPath)" /nologo /Tps_3_0 /Vn g_%(Filename)_ps /Fh"%(RootDir)%(Directory)%(Filename).ps.inc"</Command>
      <Command Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">"$(DXSDK_DIR)Utilities\bin\x86\fxc.exe" "%(FullPath)" /nologo /Tps_3_0 /Vn g_%(Filename)_ps /Fh"%(RootDir)%(Directory)%(Filename).ps.inc"</Command>
      <Outputs Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">%(RootDir)%(Directory)%(Filename).ps.inc;%(Outputs)</Outputs>
      <Outputs Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">%(RootDir)%(Directory)%(Filename).ps.inc;%(Outputs)</Outputs>
    </CustomBuild>
    <CustomBuild Include="s\log.ps">
      <FileType>Document</FileType>
      <Command Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">"$(DXSDK_DIR)Utilities\bin\x86\fxc.exe" "%(FullPath)" /nologo /Tps_3_0 /Vn g_%(Filename)_ps /Fh"%(RootDir)%(Directory)%(Filename).ps.inc"</Command>
      <Command Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">"$(DXSDK_DIR)Utilities\bin\x86\fxc.exe" "%(FullPath)" /nologo /Tps_3_0 /Vn g_%(Filename)_ps /Fh"%(RootDir)%(Directory)%(Filename).ps.inc"</Command>
      <Outputs Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">%(RootDir)%(Directory)%(Filename).ps.inc;%(Outputs)</Outputs>
      <Outputs Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">%(RootDir)%(Directory)%(Filename).ps.inc;%(Outputs)</Outputs>
    </CustomBuild>
    <CustomBuild Include="s\small.ps">
      <FileType>Document</FileType>
      <Command Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">"$(DXSDK_DIR)Utilities\bin\x86\fxc.exe" "%(FullPath)" /nologo /Tps_3_0 /Vn g_%(Filename)_ps /Fh"%(RootDir)%(Directory)%(Filename).ps.inc"</Command>
      <Command Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">"$(DXSDK_DIR)Utilities\bin\x86\fxc.exe" "%(FullPath)" /nologo /Tps_3_0 /Vn g_%(Filename)_ps /Fh"%(RootDir)%(Directory)%(Filename).ps.inc"</Command>
      <Outputs Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">%(RootDir)%(Directory)%(Filename).ps.inc;%(Outputs)</Outputs>
      <Outputs Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">%(RootDir)%(Directory)%(Filename).ps.inc;%(Outputs)</Outputs>
    </CustomBuild>
    <CustomBuild Include="s\through.ps">
      <FileType>Document</FileType>
      <Command Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">"$(DXSDK_DIR)Utilities\bin\x86\fxc.exe" "%(FullPath)" /nologo /Tps_3_0 /Vn g_%(Filename)_ps /Fh"%(RootDir)%(Directory)%(Filename).ps.inc"</Command>
      <Command Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">"$(DXSDK_DIR)Utilities\bin\x86\fxc.exe" "%(FullPath)" /nologo /Tps_3_0 /Vn g_%(Filename)_ps /Fh"%(RootDir)%(Directory)%(Filename).ps.inc"</Command>
      <Outputs Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">%(RootDir)%(Directory)%(Filename).ps.inc;%(Outputs)</Outputs>
      <Outputs Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">%(RootDir)%(Directory)%(Filename).ps.inc;%(Outputs)</Outputs>
    </CustomBuild>
    <CustomBuild Include="s\final.ps">
      <FileType>Document</FileType>
      <Command Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">"$(DXSDK_DIR)Utilities\bin\x86\fxc.exe" "%(FullPath)" /nologo /Tps_3_0 /Vn g_%(Filename)_ps /Fh"%(RootDir)%(Directory)%(Filename).ps.inc"</Command>
      <Command Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">"$(DXSDK_DIR)Utilities\bin\x86\fxc.exe" "%(FullPath)" /nologo /Tps_3_0 /Vn g_%(Filename)_ps /Fh"%(RootDir)%(Directory)%(Filename).ps.inc"</Command>
      <Outputs Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">%(RootDir)%(Directory)%(Filename).ps.inc;%(Outputs)</Outputs>
      <Outputs Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">%(RootDir)%(Directory)%(Filename).ps.inc;%(Outputs)</Outputs>
    </CustomBuild>
  </ItemGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.targets" />
  <ImportGroup Label="ExtensionTargets">
  </ImportGroup>
</Project>